Delete specific location - Fabric

Delete specific location

cURL

curl --request DELETE \
  --url https://prod01.oms.fabric.inc/api/v2/location/{locationNum} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/location/{locationNum}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/location/{locationNum}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Responses

Successful Response

{
  "attributes": {
    "isReturns": true
  },
  "id": "622fae9a065d9e62a4029f79",
  "locationNum": 13,
  "name": "CA",
  "isActive": true,
  "address": {
    "addressLine1": "2800 Ashcraft Court",
    "addressLine2": "Fairview road",
    "addressLine3": "N 9 1/2 street",
    "addressLine4": "Coronado school",
    "city": "Coronado",
    "state": "California",
    "country": "USA",
    "postalCode": 92118,
    "type": "2800 Ashcraft Court",
    "contact": [
      {
        "type": "Residence",
        "email": "mark@email.com",
        "phone": [
          {
            "number": "555-555-5555",
            "type": "mobile"
          }
        ],
        "name": {
          "first": "John",
          "middle": "Mark",
          "last": "Doe"
        }
      }
    ]
  },
  "type": "warehouse",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "operatingHours": [
    {
      "day": "Monday",
      "hours": [
        {
          "open": "10:00",
          "close": "16:00"
        }
      ]
    }
  ],
  "coordinates": {
    "type": "Point",
    "coordinates": [
      [
        "-22.95239063733024",
        "-43.21034257655916"
      ]
    ]
  },
  "services": {
    "isCurbsidePickUp": false
  }
}

Error Responses

{
  "message": "Invalid payload or parameter"
}
{
  "message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Authorizations

Authorization

Headers